'use strict';

var React = require('react');
var PropTypes = require('prop-types');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);
var PropTypes__default = /*#__PURE__*/_interopDefault(PropTypes);

var propTypes = {
  /** Component children's to be rendered */
  children: PropTypes__default.default.node.isRequired,
  testId: PropTypes__default.default.string
};
var defaultProps = {
  testId: 'tile-gallery'
};
var TileGallery = function TileGallery(_ref) {
  var children = _ref.children,
    testId = _ref.testId;
  return /*#__PURE__*/React__default.default.createElement("div", {
    "data-testid": testId,
    className: "tile-gallery"
  }, children);
};
TileGallery.propTypes = propTypes;
TileGallery.defaultProps = defaultProps;
TileGallery.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "TileGallery",
  "props": {
    "testId": {
      "defaultValue": {
        "value": "'tile-gallery'",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "string"
      },
      "required": false
    },
    "children": {
      "description": "Component children's to be rendered",
      "type": {
        "name": "node"
      },
      "required": true
    }
  }
};
var TileGallery$1 = TileGallery;

module.exports = TileGallery$1;
